aesni.h File Reference

AES-NI for hardware AES acceleration on some Intel processors. More...

`#include "aes.h"`
Include dependency graph for aesni.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_AESNI_AES 0x02000000u
#define | MBEDTLS_AESNI_CLMUL 0x00000002u

## Detailed Description

AES-NI for hardware AES acceleration on some Intel processors.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file aesni.h.

## Macro Definition Documentation

#define MBEDTLS_AESNI_AES 0x02000000u

Definition at line 28 of file aesni.h.

#define MBEDTLS_AESNI_CLMUL 0x00000002u

Definition at line 29 of file aesni.h.